# Class Minimizer

java.lang.Object
org.jmol.minimize.Minimizer

public class Minimizer extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`Atom[]`
`atoms`
`Bond[]`
`bonds`
`BS`
`bsAtoms`
`BS`
`bsMinFixed`
`Lst<MMConstraint>`
`constraints`
`int`
`id`
`MinAngle[]`
`minAngles`
`MinAtom[]`
`minAtoms`
`MinBond[]`
`minBonds`
`MinTorsion[]`
`minTorsions`
`int`
`rawBondCount`
`static int`
`staticID`
`String`
`units`
`Viewer`
`vwr`

## Constructor Summary

Constructors
Constructor
Description
`Minimizer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`calculatePartialCharges(ModelSet ms, BS bsAtoms, BS bsReport)`
`void`
`endMinimization(boolean normalFinish)`
`void`
`getAngles()`
`ForceField`
`getForceField(String ff)`
////////////////////////// minimize //////////////////////
`String`
`getForceFieldUsed()`
`Object`
`getProperty(String propertyName, int param)`
`JmolThread`
`getThread()`
`void`
`getTorsions(boolean isMMFF)`
`Boolean`
`isLoggable(int[] iData, int n)`
`boolean`
`minimizationOn()`
`boolean`
`minimize(int steps, double crit, BS bsSelected, BS bsFixed, BS bsBasis, int flags, String ff)`
`void`
`report(String msg, boolean isEcho)`
`Minimizer`
`setProperty(String propertyName, Object value)`
`boolean`
`startMinimization()`
`boolean`
`stepMinimization()`
`void`
`stopMinimization(boolean coordAreOK)`
`String`
`toString()`
`void`
`updateAtomXYZ(boolean isEnd)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### staticID

public static int staticID

### id

public int id

### vwr

public Viewer vwr

### atoms

public Atom[] atoms

### bonds

public Bond[] bonds

### rawBondCount

public int rawBondCount

### bsAtoms

public BS bsAtoms

### constraints

public Lst<MMConstraint> constraints

### minAtoms

public MinAtom[] minAtoms

### minBonds

public MinBond[] minBonds

### minAngles

public MinAngle[] minAngles

### minTorsions

public MinTorsion[] minTorsions

### bsMinFixed

public BS bsMinFixed

### units

public String units

## Constructor Details

### Minimizer

public Minimizer()

## Method Details

### setProperty

public Minimizer setProperty(String propertyName, Object value)

### minimize

public boolean minimize(int steps, double crit, BS bsSelected, BS bsFixed, BS bsBasis, int flags, String ff) throws JmolAsyncException

Throws:
  `JmolAsyncException`

### getProperty

public Object getProperty(String propertyName, int param)

Parameters:
  `propertyName` -
  `param` -
Returns:
  Object

### getAngles

public void getAngles()

### getTorsions

public void getTorsions(boolean isMMFF)

### getForceField

public ForceField getForceField(String ff) throws JmolAsyncException
////////////////////////// minimize //////////////////////

Throws:
  `JmolAsyncException`

### minimizationOn

public boolean minimizationOn()

### getThread

public JmolThread getThread()

### startMinimization

public boolean startMinimization()

### stepMinimization

public boolean stepMinimization()

### endMinimization

public void endMinimization(boolean normalFinish)

### stopMinimization

public void stopMinimization(boolean coordAreOK)

### updateAtomXYZ

public void updateAtomXYZ(boolean isEnd)

### report

public void report(String msg, boolean isEcho)

### calculatePartialCharges

public void calculatePartialCharges(ModelSet ms, BS bsAtoms, BS bsReport) throws JmolAsyncException

Throws:
  `JmolAsyncException`

### getForceFieldUsed

public String getForceFieldUsed()

### isLoggable

public Boolean isLoggable(int[] iData, int n)

### toString

public String toString()

Overrides:
  `toString` in class `Object`